<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <title>Task 31.10 -Sign Up Form</title>

    <style>
        .div-background-picture {
            background-image: url("images/signup-bg.jpg");
            height: 100%;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 0.8
        }

    </style>
</head>
<body>
    <div class="container-fluid div-background-picture">
        <form id="form-create" text-center  text-center>
            <div class="row d-flex align-items-center min-vh-100" >
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron" >
                    <div class="mb-5">
                        <h3 class="text-center "><b>Create Account</b></h3>
                    </div>

                    <div>
                        <div class="form-group">
                            <input type="text" name="Name" placeholder="Your name" id="inp-name"
                                class="form-control" value="" >
                        </div>
                        <div class="form-group">
                            <input type="text" name="Email" placeholder="Your email" id="inp-email"
                                class="form-control" value="" >
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" id="pwd-password" placeholder="Your Password"
                                class="form-control" value="" >
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" id="pwd-repeat-password" placeholder="Repeat Your Password"
                                class="form-control" value="" >
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="agree-statement" id="agree-statement"
                                class="form-check-input">
                            <label class="form-check-label" for="agree">I agree all statements in</label>

                            <a  href="#">Terms of Service</a>
                        </div>
                        <div class="form-group">
                            <button type="submit" id="submit-create" class="btn btn-log btn-block btn-info">Submit</button>
                        </div>
                    </div>

                    <div class="text-left">Have already an account?<a href="#"> Login here</a> </div>
                </div>
            </div>
        </form>
    </div>
    
</body>
<script>
    "use strict";
/**REGION 1: Khai báo biến toàn cục **/

/**REGION 2: Gán sự kiện**/
$(document).ready(function(){
    onPageLoading();
});
$("#form-create").on("submit", function(event){
    event.preventDefault();
    onFormCreateSubmit();
});
/**REGION 3: Xử lý sự kiện**/
function onPageLoading(){
    console.log("Tải trang......");
}
function onFormCreateSubmit(){
   var  vCreateInfo= {
        hoTen:"",
        email:"",
        password:"",
        repeatpass:"",
        isAccept:false
        
    };
    getInfoToCreate(vCreateInfo);
    var vIsValid=validateData(vCreateInfo);
    if (vIsValid){
        console.log(vCreateInfo);
    }
}
/**REGION 4: Hàm dùng chung **/
function getInfoToCreate(paramCreateInfo){
    paramCreateInfo.hoTen=$("#inp-name").val().trim();
    paramCreateInfo.email=$("#inp-email").val().trim();
    paramCreateInfo.password=$("#pwd-password").val().trim();
    paramCreateInfo.repeatpass=$("#pwd-repeat-password").val();
    paramCreateInfo.isAccept=$("#agree-statement").is(':checked');
    console.log(paramCreateInfo); //lấy ra thử coi lấy đc hôn
}
function validateData(paramCreateInfo){
    var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/ ;
    if (paramCreateInfo.hoTen==""){
        alert("Bạn chưa nhập họ tên");
        $("#inp-name").focus();
        return false;
    }
    if (paramCreateInfo.email==""){
        alert("bạn chưa nhập email");
        $("#inp-email").focus();
        return false;
    }
    if (!vRegexStr.test(paramCreateInfo.email)) {
            alert("Xem lại  email không hợp lệ đó bồ  !!");
            $("#inp-email").focus();
            return false;
        }
    if (paramCreateInfo.password.length<8){
        alert("Password bạn chọn không hợp lệ, hãy chọn lại và có ít nhất 8 ký tự");
        $("#pwd-password").val("");
        $("#pwd-password").focus();
        return false;
    }
    if (paramCreateInfo.password!=paramCreateInfo.repeatpass){
        alert("password nhập lại phải giống lần trước");
        $("#pwd-repeat-password").val("");
        $("#pwd-repeat-password").focus();
        return false;
    }
    if (paramCreateInfo.isAccept==false){
        alert("bạn phải check accept để đồng ý điều khoản sử dụng");
        $("#agree-statement").focus();
        return false;
    }

    return true;
}
</script>
</html>